include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdehtml_tork (kpart)

tde_add_kpart( tdehtml_tork AUTOMOC

  SOURCES
        tork_plug_in.cpp
  LINK
     tdehtml-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/tork/icons )


##### other data

install(
    FILES tork_plug_in.rc
    DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)


tde_create_translated_desktop( tork_plug_in.desktop )
